> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.10.0.0/faq/technical/scayt-plugin-for-ckeditor-4/how-to-disable-the-wsc-plugin-in-ckeditor-4.md).

# How to disable the WSC plugin in CKEditor 4?

On January 10, 2022, we disabled the Free version of WebSpellChecker (WSC) in a dialog that was provided as a plugin, integrated by default into [CKEditor](https://ckeditor.com/ckeditor-4/) 4 editor. This is the end-of-life of this product. Users that have added the WSC plugin to the CKEditor config.js file using the extraPlugins parameter or still using CKEditor lower than 4.16.0 may face an [issue with the loading spinner](/v6.10.0.0/troubleshooting/client-side/spell-checker-wsc-dialog-plugin-for-ckeditor-4-stopped-working-incessant-loading-spinner.md).

To remove the WSC plugin from CKEditor 4, add the following line to your CKEditor config.js file:

```javascript
config.removePlugins ='wsc';
```

Note, that the [WebSpellChecker Dialog plugin for CKEditor 4 for Drupal 8](https://www.drupal.org/project/ckeditor_wsc) was also deprecated. But still, you can use the SCAYT module instead <https://www.drupal.org/project/ckeditor_scayt>. Also, you can use [WProofreader SDK](https://demos.webspellchecker.com/wproofreader-ckeditor4.html) instead. It's not a native module for Drupal, it is a pre-built JavaScript component that can be added to the Drupal pages with the editor (where the spell check is needed).&#x20;

<br>

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wproofreader.com/v6.10.0.0/faq/technical/scayt-plugin-for-ckeditor-4/how-to-disable-the-wsc-plugin-in-ckeditor-4.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
